<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/tv/default_channel.php';

///////////////////////////////////////////////////////////////////////////

class LanetChannel extends DefaultChannel
{
    private $number;
    private $past_epg_days;
    private $future_epg_days;

    ///////////////////////////////////////////////////////////////////////

    public function __construct(
        $id, $title, $icon_url, $streaming_url, $number, $past_epg_days, $future_epg_days)
    {
        parent::__construct($id, $title, $icon_url, $streaming_url);

        $this->number = $number;
        $this->past_epg_days = $past_epg_days;
        $this->future_epg_days = $future_epg_days;
    }

    ///////////////////////////////////////////////////////////////////////

    public function get_number()
    { return $this->number; }

    public function get_past_epg_days()
    { return $this->past_epg_days; }

    public function get_future_epg_days()
    { return $this->future_epg_days; }
    
    public function trace_data()
    {
        TRACE('trace channel '.$this->get_id());
        TRACE('  caption:'.$this->get_title());
        TRACE('  icon_url:'.$this->get_icon_url());
        TRACE('  stream_url:'.$this->get_streaming_url());
        TRACE('  number:'.$this->get_number());
        TRACE('  past_epg:'.$this->get_past_epg_days());
        TRACE('  future_epg:'.$this->get_future_epg_days());
    }
}

///////////////////////////////////////////////////////////////////////////
?>
