<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/user_input_handler_registry.php';

class LanetEntryHandler
    implements UserInputHandler
{

    public function __construct()
    {
        UserInputHandlerRegistry::get_instance()->
            register_handler($this);
    }

    ///////////////////////////////////////////////////////////////////////

    public function get_handler_id()
    {
        return 'entry';
    }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
        TRACE('Entry handler:');
        TRACE('  user_input:');
        foreach ($user_input as $key => $value)
            TRACE("    $key => $value");
        TRACE('  plugin_cookies:');
        foreach ($plugin_cookies as $key => $value)
            TRACE("    $key => $value");

        if (LanetConfig::WAS_COOKIES_CLEANED() === false)
        {
            TRACE('Clear cookies...');
            foreach ($plugin_cookies as $key => $value)
            {
                TRACE('  reset key: '.$key.'->'.$plugin_cookies->$key);
                unset($plugin_cookies->$key);
            }
            
            TRACE('  plugin_cookies:');
            foreach ($plugin_cookies as $key => $value)
                TRACE("    $key => $value");
            LanetConfig::COOKIES_CLEANED();
        }
        
        if (!isset($user_input->entry_id))
            return null;
        
        $open_folder_action = ActionFactory::open_folder();

        if ($user_input->entry_id === 'setup' ||
            $user_input->entry_id === 'tv')
        {
            return $open_folder_action;
        }

        return null;
    }
}

///////////////////////////////////////////////////////////////////////////
?>
