<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/default_dune_plugin.php';
require_once 'lib/utils.php';
require_once 'lib/tv/tv_group_list_screen.php';
require_once 'lib/tv/tv_channel_list_screen.php';
require_once 'lib/tv/tv_favorites_screen.php';

require_once 'lanet_config.php';
require_once 'lanet_entry_handler.php';
require_once 'lanet_tv.php';
require_once 'lanet_setup_screen.php';

///////////////////////////////////////////////////////////////////////////

class LanetPlugin extends DefaultDunePlugin
{
    private $entry_handler;
    
    public function __construct()
    {
        $this->tv = 
            new LanetTv();
        
        $this->entry_handler = new LanetEntryHandler();
        
        //$this->add_screen(new LanetSetupScreen($this->tv));

        $this->add_screen(new TvGroupListScreen($this->tv, 
                LanetConfig::GET_TV_GROUP_LIST_FOLDER_VIEWS()));

        $this->add_screen(new TvChannelListScreen($this->tv, 
                LanetConfig::GET_TV_CHANNEL_LIST_FOLDER_VIEWS()));
        $this->add_screen(new TvFavoritesScreen($this->tv, 
                LanetConfig::GET_TV_CHANNEL_LIST_FOLDER_VIEWS()));
    }
}

///////////////////////////////////////////////////////////////////////////
?>
