<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/abstract_controls_screen.php';

///////////////////////////////////////////////////////////////////////////

class LanetSetupScreen extends AbstractControlsScreen
{
    const ID = 'setup';
	const VERSION = '0.0.1';

    ///////////////////////////////////////////////////////////////////////

    private $tv;

    ///////////////////////////////////////////////////////////////////////

    public function __construct(Tv $tv)
    {
        parent::__construct(self::ID);

        $this->tv = $tv;
    }

    private function do_get_control_defs(&$plugin_cookies)
    {
        $defs = array();

        // Show in main screen.
		
		$this->add_label($defs,
                'Версия:', self::VERSION);

        $show_in_main_screen = 'auto';

        $show_ops['auto'] = 'Авто';
        $show_ops['yes'] = 'Да';
        $show_ops['no'] = 'Нет';
        $this->add_combobox($defs,
            'show_in_main_screen', 'Показывать на главном экране:',
            $show_in_main_screen, $show_ops, 0, true);

        // Playback mode.

        $playback_mode = 'auto';

        $playback_mode_ops['auto'] = 'Авто';
        $playback_mode_ops['multicast'] = 'Multicast (локальная сеть)';
        $playback_mode_ops['unicast'] = 'Unicast (Интернет)';

        $this->add_combobox($defs,
            'playback_mode', 'Режим воспроизведения:',
            $playback_mode, $playback_mode_ops, 0, true);

        return $defs;
    }

    public function get_control_defs(MediaURL $media_url, &$plugin_cookies)
    {
        try
        {
            $this->tv->ensure_channels_loaded($plugin_cookies);
        }
        catch (Exception $e)
        {
            // Nop.
        }

        return $this->do_get_control_defs($plugin_cookies);
    }

    public function handle_user_input(&$user_input, &$plugin_cookies)
    {
        hd_print('Setup: handle_user_input:');
		hd_print('  user_input:');
        foreach ($user_input as $key => $value)
			hd_print("  $key => $value");
        hd_print('  plugin_cookies:');
		foreach ($plugin_cookies as $key => $value)
            hd_print("  $key => $value");

        return null;
    }
}

///////////////////////////////////////////////////////////////////////////
?>
